ScanopyScanopy
Credentials

List all Credentials

Returns all credentials in the authenticated user's organization. Optionally filter by type (e.g. ?type=Snmp).

GET
/api/v1/credentials
Authorization<token>

User API key (Bearer scp_u_...). Create in Platform > API Keys.

In: header

Query Parameters

type?string|null

Filter by credential type (e.g. "Snmp", "DockerProxy")

group_by?null|CredentialOrderField

Primary ordering field (used for grouping). Always sorts ASC to keep groups together.

order_by?null|CredentialOrderField

Secondary ordering field (sorting within groups or standalone sort).

order_direction?null|OrderDirection

Direction for order_by field (group_by always uses ASC).

limit?integer|null

Maximum number of results to return (1-1000, default: 50). Use 0 for no limit.

Formatint32
Range0 <= value <= 1000
offset?integer|null

Number of results to skip. Default: 0.

Formatint32
Range0 <= value

Response Body

application/json

curl -X GET "https://loading/api/v1/credentials"
{
  "data": [
    {
      "credential_type": {
        "community": {
          "mode": "Inline",
          "value": "string"
        },
        "type": "SnmpV2c"
      },
      "name": "string",
      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",
      "tags": [
        "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      ],
      "target_ips": [
        "string"
      ],
      "created_at": "2019-08-24T14:15:22Z",
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "updated_at": "2019-08-24T14:15:22Z"
    }
  ],
  "meta": {
    "api_version": 1,
    "pagination": {
      "has_more": true,
      "limit": 50,
      "offset": 0,
      "total_count": 142
    },
    "server_version": "0.15.0"
  },
  "success": true,
  "error": "string"
}